#
# spec file for package rubygem-puma-1_6
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-puma-1_6
Version:        1.6.3
Release:        lp150.3.5
%define mod_name puma
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1_6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            http://puma.io
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Puma is a simple, fast, and highly concurrent HTTP 1.1 server for
License:        BSD-3-Clause
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Puma is a simple, fast, and highly concurrent HTTP 1.1 server for Ruby web
applications. It can be used with any application that supports Rack, and is
considered the replacement for Webrick and Mongrel. It was designed to be the
go-to server for [Rubinius](http://rubini.us), but also works well with JRuby
and MRI. Puma is intended for use in both development and production
environments.
Under the hood, Puma processes requests using a C-optimized Ragel extension
(inherited from Mongrel) that provides fast, accurate HTTP 1.1 protocol
parsing in a portable way. Puma then serves the request in a thread from an
internal thread pool (which you can control). This allows Puma to provide real
concurrency for your web application!
With Rubinius 2.0, Puma will utilize all cores on your CPU with real threads,
meaning you won't have to spawn multiple processes to increase throughput. You
can expect to see a similar benefit from JRuby.
On MRI, there is a Global Interpreter Lock (GIL) that ensures only one thread
can be run at a time. But if you're doing a lot of blocking IO (such as HTTP
calls to external APIs like Twitter), Puma still improves MRI's throughput by
allowing blocking IO to be run concurrently (EventMachine-based servers such
as Thin turn off this ability, requiring you to use special libraries). Your
mileage may vary. In order to get the best throughput, it is highly
recommended that you use a Ruby implementation with real threads like
[Rubinius](http://rubini.us) or [JRuby](http://jruby.org).

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING History.txt LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Sun Feb 16 2014 kkaempf@suse.com
- use new macros
* Mon Dec  9 2013 e.istomin@edss.ee
- initial package for 1.6.x branch
